"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTokenForGameSaving = void 0;
var md5 = require("md5");
var generateTokenForGameSaving = function (_a) {
    var gameData = _a.gameData;
    var gameName = gameData.gameName, userId = gameData.userId, gameFinishDate = gameData.gameFinishDate, success = gameData.gameResult.success;
    var gameNameLength = gameName.length.toString();
    var mixedItems = gameNameLength
        + userId
        + (success ? 1 : 0)
        + gameFinishDate;
    return md5(mixedItems);
};
exports.generateTokenForGameSaving = generateTokenForGameSaving;
//# sourceMappingURL=save-game-token-generator.js.map